## com.fasterxml.jackson.databind.deser.impl
Class ValueInjector

    java.lang.Object
      com.fasterxml.jackson.databind.BeanProperty.Std
          com.fasterxml.jackson.databind.deser.impl.ValueInjector

All Implemented Interfaces:
  BeanProperty, Named

    public class ValueInjector

extends BeanProperty.Std

Class that encapsulates details of value injection that occurs before deserialization of a POJO. Details include information needed to find injectable value (logical id) as well as method used for assigning value (setter or field)

Nested Class Summary

Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty
`BeanProperty.Std`

Field Summary
`protected Object` `_valueId` Identifier used for looking up value to inject

Fields inherited from class com.fasterxml.jackson.databind.BeanProperty.Std
`_contextAnnotations, _member, _name, _type`

Constructor Summary
`ValueInjector(String propertyName, JavaType type, Annotations contextAnnotations, AnnotatedMember mutator, Object valueId)`

Method Summary
`Object` `findValue(DeserializationContext context, Object beanInstance)`
`void` `inject(DeserializationContext context, Object beanInstance)`

Methods inherited from class com.fasterxml.jackson.databind.BeanProperty.Std
`getAnnotation, getContextAnnotation, getMember, getName, getType, withType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _valueId

    protected final Object _valueId

  Identifier used for looking up value to inject

Constructor Detail

### ValueInjector

    public ValueInjector(String propertyName,
                         JavaType type,
                         Annotations contextAnnotations,
                         AnnotatedMember mutator,
                         Object valueId)

Method Detail

### findValue

    public Object findValue(DeserializationContext context,
                            Object beanInstance)

### inject

    public void inject(DeserializationContext context,
                       Object beanInstance)
                throws IOException

  Throws:
    `IOException`

Copyright © 2012 FasterXML. All Rights Reserved.